#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream f1("PT2.inp");
    long a,b,c,x1,x2,d;
    f1>>a>>b>>c;
    f1.close();
    int dem=0,k=0;
    ofstream f2("PT2.out");
    f2.setf(ios::fixed);
    f2.setf(ios::showpoint);
    f2.precision(2);
    d=(b*b)-(4*a*c);
    if(d>0){
        x1=(-b+sqrt(d))/(2*a);
        x2=(-b-sqrt(d))/(2*a);
        f2<<x2<<" "<<x1;
    }
    else
    if(d<0){
        f2<<"NO";
        }
    else
    if(d==0){
        x1=(-b+sqrt(d))/(2*a);
        x2=(-b-sqrt(d))/(2*a);
        f2<<x1<<" "<<x2;
    }
    else
    if(a==0){
        f2<<-c/b;
    }
    else
    if(a==0 && b==0 & c==0){
        f2<<"YES";
    }
    f2.close();
    return 0;
}
